### Enumeration

# Shumate TileDownloaderError

#### Declaration

    error-domain Shumate.TileDownloaderError

#### Description [src]

Error codes in the #SHUMATE_TILE_DOWNLOADER_ERROR domain.

#### Members

Name | Description
--- | ---
`SHUMATE_TILE_DOWNLOADER_ERROR_FAILED` | An unspecified error occurred during the operation.
`SHUMATE_TILE_DOWNLOADER_ERROR_BAD_RESPONSE` | An unsuccessful HTTP response was received from the server.
`SHUMATE_TILE_DOWNLOADER_ERROR_COULD_NOT_CONNECT` | The server could not be reached.
`SHUMATE_TILE_DOWNLOADER_ERROR_MALFORMED_URL` | The provided URL isn’t valid.
`SHUMATE_TILE_DOWNLOADER_ERROR_OFFLINE` | The tile source has been marked as offline.

#### Type functions

###### shumate_tile_downloader_error_quark

Gets the `ShumateTileDownloader` error quark.